From eac8c57528b5ef8e694df4072ed7a60be799c270 Mon Sep 17 00:00:00 2001
From: Antonio Rojas <arojas@archlinux.org>
Date: Wed, 5 Jul 2023 16:16:02 +0200
Subject: [PATCH] Use protobuf's cmake config if available

---
 CMakeLists.txt | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 466c9add..da9881cd 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -73,7 +73,13 @@ find_package(BISON REQUIRED)
 set_package_properties(BISON PROPERTIES PURPOSE "MapCSS parser for indoor map rendering.")
 
 if (NOT WIN32)
-    find_package(Protobuf)
+    # try upstream cmake config first
+    set(protobuf_MODULE_COMPATIBLE ON)
+    find_package(Protobuf CONFIG)
+    if(NOT Protobuf_FOUND)
+    # fall back to cmake's protobuf module
+       find_package(Protobuf)
+    endif()
     set_package_properties(Protobuf PROPERTIES TYPE OPTIONAL PURPOSE "Parsing of OSM PBF files.")
 endif()
 
-- 
GitLab

